Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Search Specific CDR

Search specific CDR from the CDR list.

Request URL

GET {base_url}/{api_path}/cdr/search?access_token={access_token}

Request parameters

Note: To perform a fuzzy search for the phone number, you can enable the fuzzy search feature using the Edit CDR Options interface.

ParameterRequiredTypeDescription
pageNoIntegerDefine which page is displayed.
Note: If this parameter is left blank, the response result will return the first page by default.
page_sizeNoIntegerDefine how many records per page.

Maximum value: 10,000

Note: If this parameter is left blank, the response result will return 10,000 records per page by default.
start_timeNoStringSpecify the start time to filter CDR.
Note:
  • The time can be specified as either an ISO 8601 date-time string or a Unix timestamp (in seconds).
  • If you use the date-time format, it must follow the PBX's date and time display format (set in System > Date and Time > Display Format on PBX).

    Examples:

    • If the display format is Month/Day/Year and is 24-hours format, then the valid time format is MM/DD/YYYY HH:mm:ss.
    • If the display format is Year/Month/Day and is 12-hours format, then the valid time format is YYYY/MM/DD HH:mm:ss AM or YYYY/MM/DD HH:mm:ss PM.
end_timeNoStringSpecify the end time to filter CDR.
Note:
  • The time can be specified as either an ISO 8601 date-time string or a Unix timestamp (in seconds).
  • If you use the date-time format, it must follow the PBX's date and time display format (set in System > Date and Time > Display Format on PBX).

    Examples:

    • If the display format is Month/Day/Year and is 24-hours format, then the valid time format is MM/DD/YYYY HH:mm:ss.
    • If the display format is Year/Month/Day and is 12-hours format, then the valid time format is YYYY/MM/DD HH:mm:ss AM or YYYY/MM/DD HH:mm:ss PM.
call_fromNoStringThe number of caller.
call_toNoStringThe number of callee.
pin_codeNoStringThe PIN code used to make outbound calls via a PIN-restricted outbound route and recorded in the CDR.
Note:
  • You can query the PIN code configured on an outbound route using the Query Information of an Outbound Route interface.
  • If the outbound route is restricted by a PIN list, you will need to make an additional call to the Query Information of a PIN List interface to retrieve the PIN codes within the list.
extension_groupNoIntegerThe unique ID of the extension group to only query group member's calls.
Note: You can query the extension group's ID using Get Menu Options.
disposition_code_listNoStringThe ID(s) of the call disposition code(s) of call notes.
Note:
  • You can query the disposition code ID using the Get Menu Options interface.
  • Use comma to separate multiple disposition code IDs.
call_note_remarkNoStringThe remark of call notes.
statusNoStringcall status.
Valid value:
  • ANSWERED
  • NO ANSWER
  • BUSY
  • FAILED
  • VOICEMAIL
didNoStringSpecify the DID to filter the CDR.

Valid value: 

{did_number}: trunk_name} or 

{did_name}:{trunk_name}

Note:
  • You can query trunk name using the Search Specific Trunks.
  • Use commas to separate multiple DIDs.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note: You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
total_numberIntegerThe total number of the searched CDR.
dataArray<CDR_Details>The detailed information of the CDR.

CDR_Details

ParameterTypeDescription
idIntegerThe sequence number of the record.
Note: This parameter is returned only for legacy CDRs generated on version 83.21.0.66 or earlier.
new_idStringThe primary key ID of the record.
Note: This parameter is returned only for new CDRs generated on version 83.21.0.117 or earlier.
timeStringThe time the call was made or received.
call_fromStringThe number or/and the name of the caller.
call_toStringThe number or/and the name of the callee.
pin_codeStringThe PIN code used to make the outbound call.
timestampIntegerThe timestamp of the time that the call was made or received.
uidStringThe unique ID of the CDR.
src_addrStringThe IP address of the caller's device.
src_trunkStringThe call was received via which trunk.
dst_trunkStringThe call was sent out via which trunk.
durationIntegerThe time between the call started and the call ended.
ring_durationIntegerThe time between the call started and the call answered.
talk_durationIntegerThe time between the call answered and the call ended.
dispositionStringCall status.
  • ANSWERED
  • NO ANSWER
  • BUSY
  • FAILED
  • VOICEMAIL
call_typeStringCommunication type.
  • Inbound
  • Outbound
  • Internal
did_numberStringThe phone number that the caller dialed.
dod_numberStringThe phone number that was displayed on the callee's phone.
record_fileStringThe name of the call recording file.
reasonStringThe reason why the call was ended.
Note: This parameter is returned only for legacy CDRs generated on version 83.21.0.66 or earlier.
call_from_numberStringThe number of the caller.
call_from_nameStringThe name of the caller.
call_to_numberStringThe number of the callee.
call_to_nameStringThe name of the callee.
call_idStringThe unique ID of the call.
call_noteObject<Call_Note>The call note of the call.
call_note_idStringThe unique ID of the call note.
enb_call_noteIntegerWhether call note can be edited or not.
  • 0: Call note can not be edited.
  • Non-zero value: Call note can be edited.
didStringThe phone number that the caller dialed and the associated name.
did_nameStringThe name associated with the phone number that the caller dialed.

Call_Note

ParameterTypeDescription
idStringThe unique ID of the call note.
group_idStringThe group ID of the call note.
disposition_code_listArray<Disposition_Codes>The disposition code(s) selected in the call note.
remarkStringThe remark of the call note.
agent_nameStringThe name of the extension user who adds the call note.
registration_timeLongThe time when the extension user adds the call note.
update_entryStringThe scenario in which the call note is modified.
  • in_call: During a call.
  • cdr: After a call in the call log (Available for CDRs generated before version 83.21.0.117).
  • new_cdr: After a call in the call log (Available for CDRs generated in version 83.21.0.117 or later).
  • queue_agent: Update call notes during wrap-up time.Note:This scenario is available for queue agents.

Disposition_Codes

ParameterTypeDescription
idIntegerThe unique ID of the call disposition code.
nameStringThe label of the call disposition code.
descriptionStringThe description of the call disposition code

Examples

Request example

Query the record details of the calls made by extension 1001 during 2025/12/19 10:40:00-2025/12/19 10:45:00.

Important: If you want to filter CDR by date and time, the format of start_time and end_time MUST follow the date and time display format of your PBX, otherwise the response will not return any CDR records.

GET /openapi/v1.0/cdr/search?start_time=2025/12/19 10:40:00&end_time=2025/12/19 10:45:00&access_token=nK3qIHTzFCquRnXz6l1NPB4rVecNXmD6&call_from=1001 HTTP/1.1
192.168.5.150:8088

Response example

HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 3,
"data": [
{
"time": "2025/12/19 10:40:07",
"call_from": "Phillip Huff<1001>",
"call_to": "Call Flow aaa<6901>",
"timestamp": 1766112007,
"uid": "2025121910400711733",
"src_addr": "192.168.28.44:5062",
"duration": 10,
"talk_duration": 10,
"disposition": "ANSWERED",
"call_type": "Internal",
"call_from_number": "1001",
"call_from_name": "Phillip Huff",
"call_to_number": "6901",
"call_to_name": "aaa",
"call_id": "1766112007.0",
"call_note": null,
"call_note_id": "",
"enb_call_note": 0,
"did": "",
"did_name": "",
"pin_code": "",
"new_id": "66CD1EAE-AF80033C"
},
{
"time": "2025/12/19 10:40:26",
"call_from": "Phillip Huff<1001>",
"call_to": "Call Flow aaa<6901>",
"timestamp": 1766112026,
"uid": "2025121910402635715",
"src_addr": "192.168.28.44:5062",
"duration": 11,
"talk_duration": 11,
"disposition": "ANSWERED",
"call_type": "Internal",
"call_from_number": "1001",
"call_from_name": "Phillip Huff",
"call_to_number": "6901",
"call_to_name": "aaa",
"call_id": "1766112026.2",
"call_note": null,
"call_note_id": "",
"enb_call_note": 0,
"did": "",
"did_name": "",
"pin_code": "",
"new_id": "66CD1EC2-2E0000E6"
},
{
"id": 2710,
"time": "05/30/2022 14:53:41",
"call_from": "Kristin Hale<2005>",
"call_to": "1000",
"pin_code": "1111",
"timestamp": 1653893621,
"uid": "202205301453416CEAB",
"src_addr": "192.168.28.25",
"dst_trunk": "peer-to-34",
"duration": 7,
"talk_duration": 7,
"disposition": "ANSWERED",
"call_type": "Outbound",
"dod_number": "2005",
"reason": "src hangup ",
"call_from_number": "2005",
"call_from_name": "Kristin Hale",
"call_to_number": "1000",
"call_to_name": " ",
"call_id": "1718690912.7",
"call_note": {
"id": "20220530160214-24CE3",
"group_id": "1745395229.3",
"disposition_code_list": [
{
"id": 21,
"name": "Transferred to Another Department",
"description": "The call was transferred to the appropriate team or department."
}
],
"remark": "User encountered xx issue, needs resolution from the tech support department",
"agent_name": "Madison Cooper",
"registration_time": 1741226653,
"update_entry": ""
},
"call_note_id": "20220530160214-24CE3",
"enb_call_note": 8,
"did": "123456",
"did_name": ""
}
]
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app